<div class="contenedor">
  <div class="container1" *ngIf="listUsuarios.length > 0">
    <h2>listar tarjeta</h2>
    
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

      <!-- Position Column -->
      <ng-container matColumnDef="position">
        <th mat-header-cell *matHeaderCellDef> No. </th>
        <td mat-cell *matCellDef="let element"> {{element.position}} </td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="nombre">
        <th mat-header-cell *matHeaderCellDef>Nombre </th>
        <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
      </ng-container>
    
      <!-- Name Column -->
      <ng-container matColumnDef="numTarjeta">
        <th mat-header-cell *matHeaderCellDef> Número de tarjeta </th>
        <td mat-cell *matCellDef="let element"> {{element.numTarjeta}} </td>
      </ng-container>
    
      <!-- Weight Column -->
      <ng-container matColumnDef="fechaActual">
        <th mat-header-cell *matHeaderCellDef> Fecha actual </th>
        <td mat-cell *matCellDef="let element"> {{element.fechaActual}} </td>
      </ng-container>

      <ng-container matColumnDef="acciones">
        <th mat-header-cell *matHeaderCellDef>editar/eliminar</th>
          <td mat-cell *matCellDef="let element; let i = index"  class="alineacion">
            
            <a class="icono-2 pointer" matTooltip="Editar Usuario"
            (click)="modificarUsuario(element.usuario)"
            >
              <mat-icon>edit</mat-icon>
            </a>
            <a class="icono-3 pointer" matTooltip="Eliminar Usuario"
            (click)="eliminarUsuario(i)" >
              <mat-icon>delete</mat-icon>
            </a>
      </td>
      </ng-container>
        
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

  </div>

  <h2 *ngIf="listUsuarios.length === 0">No hay tarjetas guardadas</h2>
</div>